Subject: Division of Iris, Lavender and Daylillies

From: donald j coleman <[email-masked]>
Date: Sat, 31 Aug 1996 20:14:55 -0700

Can anyone provide to me advise on when is the best time to divide the 
subject plants and when I replant them, what is the proper spacing for 
them to grow properly. I live in South Carolina and have plenty of space. 
Thanks